package kd.bos.workflow.message;

import kd.bos.context.RequestContext;
import kd.bos.exception.KDException;
import kd.bos.message.channel.cache.MsgServiceCacheHelper;
import kd.bos.schedule.executor.AbstractTask;

import java.util.Map;

public class MessageCacheTask extends AbstractTask {
    @Override
    public void execute(RequestContext requestContext, Map<String, Object> map) throws KDException {
        MsgServiceCacheHelper.getMCEntityNameCache();
        MsgServiceCacheHelper.removeMCEntityNameCache();
    }
}
