package fi.fa.opplugin;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.validate.AbstractValidator;
import kd.fi.fa.business.lease.utils.LeaseUtil;
import kd.fi.fa.opplugin.lease.FaAbstractLeaseContractSubmitOp;

import java.util.Iterator;
import java.util.List;

public class FaLeaseContractExSubmitOp extends FaAbstractLeaseContractSubmitOp {
    public FaLeaseContractExSubmitOp() {
    }

    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        List<AbstractValidator> validators = e.getValidators();
        Iterator var8 = validators.iterator();
        while(var8.hasNext()) {
            AbstractValidator validator = (AbstractValidator)var8.next();
            String className = String.valueOf(validator.getClass());
            if (className.contains("FaLeaseContractSubmitValidator")) {
                var8.remove();
            }
        }
        e.addValidator(new FaLeaseContractExSubmitValidator());
    }

    protected void calLeaseContractAmount(DynamicObject leaseContract) {
        LeaseUtil.calLeaseContractAmount4Submit(leaseContract);
    }
}
